using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Optional;

namespace BoFilTest.Domain.Modules
{
    class NoGasFlowMeasure : IGasFlowMeasure
    {
        public int CalibrationCurveIndex { get => 0; set => throw new NotImplementedException(); }

        public void Cleanup()
        {
        }

        public float? ReadIntegral()
        {
            return 0.0f;
        }

        public Option<LiterPerHour> ReadValue()
        {
            return Option.None<LiterPerHour>();
        }

        public void ResetIntegral()
        {
        }
    }
}
